# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::ADHybridHealthService::Mgmt::V2014_01_01
  module Models
    #
    # The connector object error.
    #
    class Dimension

      include MsRestAzure

      # @return [HealthStatus] The health status for the domain controller.
      # Possible values include: 'Healthy', 'Warning', 'Error', 'NotMonitored',
      # 'Missing'
      attr_accessor :health

      # @return List of service specific configuration properties.
      attr_accessor :simple_properties

      # @return [Integer] The count of alerts that are currently active for the
      # service.
      attr_accessor :active_alerts

      # @return [String] The additional information related to the service.
      attr_accessor :additional_information

      # @return [DateTime] The date or time , in UTC, when the service
      # properties were last updated.
      attr_accessor :last_updated

      # @return [String] The display name of the service.
      attr_accessor :display_name

      # @return [Integer] The total count of alerts that has been resolved for
      # the service.
      attr_accessor :resolved_alerts

      # @return [String] The signature of the service.
      attr_accessor :signature

      # @return [String] The service type for the services onboarded to Azure
      # Active Directory Connect Health. Depending on whether the service is
      # monitoring, ADFS, Sync or ADDS roles, the service type can either be
      # AdFederationService or AadSyncService or AdDomainService.
      attr_accessor :type


      #
      # Mapper for Dimension class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'Dimension',
          type: {
            name: 'Composite',
            class_name: 'Dimension',
            model_properties: {
              health: {
                client_side_validation: true,
                required: false,
                serialized_name: 'health',
                type: {
                  name: 'String'
                }
              },
              simple_properties: {
                client_side_validation: true,
                required: false,
                serialized_name: 'simpleProperties',
                type: {
                  name: 'Object'
                }
              },
              active_alerts: {
                client_side_validation: true,
                required: false,
                serialized_name: 'activeAlerts',
                type: {
                  name: 'Number'
                }
              },
              additional_information: {
                client_side_validation: true,
                required: false,
                serialized_name: 'additionalInformation',
                type: {
                  name: 'String'
                }
              },
              last_updated: {
                client_side_validation: true,
                required: false,
                serialized_name: 'lastUpdated',
                type: {
                  name: 'DateTime'
                }
              },
              display_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'displayName',
                type: {
                  name: 'String'
                }
              },
              resolved_alerts: {
                client_side_validation: true,
                required: false,
                serialized_name: 'resolvedAlerts',
                type: {
                  name: 'Number'
                }
              },
              signature: {
                client_side_validation: true,
                required: false,
                serialized_name: 'signature',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: false,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              }
            }
          }
        }
      end
    end
  end
end
