# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::ADHybridHealthService::Mgmt::V2014_01_01
  module Models
    #
    # The export error details.
    #
    class ExportError

      include MsRestAzure

      # @return [String] The error Id.
      attr_accessor :id

      # @return [String] The run step result Id.
      attr_accessor :run_step_result_id

      # @return [String] The connector Id.
      attr_accessor :connector_id

      # @return [String] The type of error.
      attr_accessor :type

      # @return [String] The error code.
      attr_accessor :error_code

      # @return [String] The export error message.
      attr_accessor :message

      # @return [String] The server error detail.
      attr_accessor :server_error_detail

      # @return [DateTime] The date and time when the export error first
      # occurred.
      attr_accessor :time_first_occured

      # @return [Integer] The retry count.
      attr_accessor :retry_count

      # @return [String] The cloud object Id.
      attr_accessor :cs_object_id

      # @return [String] The distinguished name.
      attr_accessor :dn

      # @return [String] The minimum limit.
      attr_accessor :min_limit

      # @return [String] The maximum limit.
      attr_accessor :max_limit

      # @return [String] The name of the cloud anchor.
      attr_accessor :cloud_anchor

      # @return [String] The attribute name.
      attr_accessor :attribute_name

      # @return [String] The attribute value.
      attr_accessor :attribute_value

      # @return [Boolean] Indicates if the attribute is multi valued or not.
      attr_accessor :attribute_multi_value

      # @return [String] The object Id with which there was an attribute
      # conflict.
      attr_accessor :object_id_conflict

      # @return [String] The SAM account name.
      attr_accessor :sam_account_name

      # @return [String] The AD object type
      attr_accessor :ad_object_type

      # @return [String] The AD object guid.
      attr_accessor :ad_object_guid

      # @return [String] The display name for the AD object.
      attr_accessor :ad_display_name

      # @return [String] The source of authority for the AD object.
      attr_accessor :ad_source_of_authority

      # @return [String] The AD source anchor.
      attr_accessor :ad_source_anchor

      # @return [String] The user principal name for the AD object.
      attr_accessor :ad_user_principal_name

      # @return [String] The distinguished name for the AD object.
      attr_accessor :ad_distinguished_name

      # @return [String] The email for the AD object.
      attr_accessor :ad_mail

      # @return [DateTime] The date and time of occurrence.
      attr_accessor :time_occured

      # @return [String] The AAD side object type.
      attr_accessor :aad_object_type

      # @return [String] The AAD side object guid.
      attr_accessor :aad_object_guid

      # @return [String] The AAD side display name
      attr_accessor :aad_display_name

      # @return [String] The AAD side source of authority for the object.
      attr_accessor :aad_source_of_authority

      # @return [String] The AAD side user principal name.
      attr_accessor :aad_user_principal_name

      # @return [String] The AAD side distinguished name for the object.
      attr_accessor :aad_distinguished_name

      # @return [String] The AAD side email for the object.
      attr_accessor :aad_mail

      # @return [DateTime] The date and time of last sync run.
      attr_accessor :last_dir_sync_time

      # @return [String] The modified attribute value.
      attr_accessor :modified_attribute_value


      #
      # Mapper for ExportError class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'ExportError',
          type: {
            name: 'Composite',
            class_name: 'ExportError',
            model_properties: {
              id: {
                client_side_validation: true,
                required: false,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              run_step_result_id: {
                client_side_validation: true,
                required: false,
                serialized_name: 'runStepResultId',
                type: {
                  name: 'String'
                }
              },
              connector_id: {
                client_side_validation: true,
                required: false,
                serialized_name: 'connectorId',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: false,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              error_code: {
                client_side_validation: true,
                required: false,
                serialized_name: 'errorCode',
                type: {
                  name: 'String'
                }
              },
              message: {
                client_side_validation: true,
                required: false,
                serialized_name: 'message',
                type: {
                  name: 'String'
                }
              },
              server_error_detail: {
                client_side_validation: true,
                required: false,
                serialized_name: 'serverErrorDetail',
                type: {
                  name: 'String'
                }
              },
              time_first_occured: {
                client_side_validation: true,
                required: false,
                serialized_name: 'timeFirstOccured',
                type: {
                  name: 'DateTime'
                }
              },
              retry_count: {
                client_side_validation: true,
                required: false,
                serialized_name: 'retryCount',
                type: {
                  name: 'Number'
                }
              },
              cs_object_id: {
                client_side_validation: true,
                required: false,
                serialized_name: 'csObjectId',
                type: {
                  name: 'String'
                }
              },
              dn: {
                client_side_validation: true,
                required: false,
                serialized_name: 'dn',
                type: {
                  name: 'String'
                }
              },
              min_limit: {
                client_side_validation: true,
                required: false,
                serialized_name: 'minLimit',
                type: {
                  name: 'String'
                }
              },
              max_limit: {
                client_side_validation: true,
                required: false,
                serialized_name: 'maxLimit',
                type: {
                  name: 'String'
                }
              },
              cloud_anchor: {
                client_side_validation: true,
                required: false,
                serialized_name: 'cloudAnchor',
                type: {
                  name: 'String'
                }
              },
              attribute_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'attributeName',
                type: {
                  name: 'String'
                }
              },
              attribute_value: {
                client_side_validation: true,
                required: false,
                serialized_name: 'attributeValue',
                type: {
                  name: 'String'
                }
              },
              attribute_multi_value: {
                client_side_validation: true,
                required: false,
                serialized_name: 'attributeMultiValue',
                type: {
                  name: 'Boolean'
                }
              },
              object_id_conflict: {
                client_side_validation: true,
                required: false,
                serialized_name: 'objectIdConflict',
                type: {
                  name: 'String'
                }
              },
              sam_account_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'samAccountName',
                type: {
                  name: 'String'
                }
              },
              ad_object_type: {
                client_side_validation: true,
                required: false,
                serialized_name: 'adObjectType',
                type: {
                  name: 'String'
                }
              },
              ad_object_guid: {
                client_side_validation: true,
                required: false,
                serialized_name: 'adObjectGuid',
                type: {
                  name: 'String'
                }
              },
              ad_display_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'adDisplayName',
                type: {
                  name: 'String'
                }
              },
              ad_source_of_authority: {
                client_side_validation: true,
                required: false,
                serialized_name: 'adSourceOfAuthority',
                type: {
                  name: 'String'
                }
              },
              ad_source_anchor: {
                client_side_validation: true,
                required: false,
                serialized_name: 'adSourceAnchor',
                type: {
                  name: 'String'
                }
              },
              ad_user_principal_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'adUserPrincipalName',
                type: {
                  name: 'String'
                }
              },
              ad_distinguished_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'adDistinguishedName',
                type: {
                  name: 'String'
                }
              },
              ad_mail: {
                client_side_validation: true,
                required: false,
                serialized_name: 'adMail',
                type: {
                  name: 'String'
                }
              },
              time_occured: {
                client_side_validation: true,
                required: false,
                serialized_name: 'timeOccured',
                type: {
                  name: 'DateTime'
                }
              },
              aad_object_type: {
                client_side_validation: true,
                required: false,
                serialized_name: 'aadObjectType',
                type: {
                  name: 'String'
                }
              },
              aad_object_guid: {
                client_side_validation: true,
                required: false,
                serialized_name: 'aadObjectGuid',
                type: {
                  name: 'String'
                }
              },
              aad_display_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'aadDisplayName',
                type: {
                  name: 'String'
                }
              },
              aad_source_of_authority: {
                client_side_validation: true,
                required: false,
                serialized_name: 'aadSourceOfAuthority',
                type: {
                  name: 'String'
                }
              },
              aad_user_principal_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'aadUserPrincipalName',
                type: {
                  name: 'String'
                }
              },
              aad_distinguished_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'aadDistinguishedName',
                type: {
                  name: 'String'
                }
              },
              aad_mail: {
                client_side_validation: true,
                required: false,
                serialized_name: 'aadMail',
                type: {
                  name: 'String'
                }
              },
              last_dir_sync_time: {
                client_side_validation: true,
                required: false,
                serialized_name: 'lastDirSyncTime',
                type: {
                  name: 'DateTime'
                }
              },
              modified_attribute_value: {
                client_side_validation: true,
                required: false,
                serialized_name: 'modifiedAttributeValue',
                type: {
                  name: 'String'
                }
              }
            }
          }
        }
      end
    end
  end
end
